Ravens PHP Scripts

FlashChat *info.php* Script Insertion Vulnerabilities
Date: Tuesday, February 06, 2007 @ 08:03:40 PST
Topic: Security




SECUNIA ADVISORY ID: SA24071

VERIFY ADVISORY: http://secunia.com/advisories/24071/

CRITICAL: Moderately critical

IMPACT: Cross Site Scripting

WHERE: >From remote

SOFTWARE: FlashChat 4.x - http://secunia.com/product/11824/

DESCRIPTION: Some vulnerabilities have been reported in FlashChat, which can be exploited by malicious people to conduct script insertion attacks.


Input passed to the room name field when adding a new room and to the user name field when joining the chat is not properly sanitised before being used in info.php to display chat information. This can be exploited to insert arbitrary HTML and script code, which is executed in a user's browser session in context of an affected site when the malicious data is viewed. The vulnerability is reported in version 4.7.8. Other versions may also be affected.

SOLUTION: Edit the source code to ensure that input is properly sanitised.

PROVIDED AND/OR DISCOVERED BY: binaryloc and an anonymous person.






This article comes from Ravens PHP Scripts
http://www.ravenphpscripts.com

The URL for this story is:
http://www.ravenphpscripts.com/modules.php?name=News&file=article&sid=2741